## ros-kinetic-fiducial-slam 0.11.0

=== debian/changelog ===
ros-kinetic-fiducial-slam (0.11.0-1xenial) xenial; urgency=high

  * Compatibilty with Melodic, remove opencv3 dependancy
    opencv3 is no longer a package in melodic, so we use cv_bridge
    to get the correct opencv transitively
  * New fusion with planar-based error estimation
    * Estimate variance of fiducial obsevations based on how well they place the robot on the floor upright
    * use Kalman + David method of fusing estimates
    * split out Transform with Variance, do some cleanup
    * Simple unit tests for core fusion code
    * remove hokey outlier rejection
  * Add support for overriding covariance diagonal
  * Add fiducial transform array stamp (#156 <https://github.com/UbiquityRobotics/fiducials/issues/156>)
  * Add publish_tf rosparam functionality and updated launch file accordingly (#154 <https://github.com/UbiquityRobotics/fiducials/issues/154>)
    * Added publish_tf rosparam to disable publishing pose tf
    * Change default publish_tf to True and fix 'if' formatting
  * Contributors: Jack Kilian, Jim Vaughan, Rohan Agrawal

 -- Jim Vaughan <jimv@mrjim.com>  Thu, 09 May 2019 07:00:00 -0000

ros-kinetic-fiducial-slam (0.10.0-1xenial) xenial; urgency=high

  * use sum in quadrature by default
  * Disable multifiducial estimate by default
  * Added a tool for fitting a plane
  * Add map_read_only param, publish camera_pose
  * Contributors: Jim Vaughan, Rohan Agrawal

 -- Jim Vaughan <jimv@mrjim.com>  Sat, 13 Oct 2018 07:00:00 -0000

ros-kinetic-fiducial-slam (0.9.0-1xenial) xenial; urgency=high

  * Merge pull request #112 <https://github.com/UbiquityRobotics/fiducials/issues/112> from UbiquityRobotics/davecrawley-patch-1
    Added in a systematic error parameter
  * fix missed rename alexy to sum in quadrature
  * Suggested changes
  * Updating the launch file to match the changes to map.cpp
  * Added in a systematic error parameter
    Added in a systematic error parameter. This parameter is intended to take in to account systematic (non-random) errors in the measurement of fiducial position. Non-random errors can be very pernicious, and can generate highly unexpected and difficult to resolve issues. For example if **all** the fiducials are slightly the wrong size this will not show up as a random variance. Similar systematic errors include, camera mis-calibration, sampling defects, digitization errors, lens flaring and so forth. Measurement accuracy in-homogeneity can also be considered a systematic error and this will also help with that issue although it probably should be treated explicitly rather than through this "hack". Ultimately the correct approach is to rigorously compute all these systematic errors and add them in to the model - we are simply saying that we think the systematic errors are less than the specified value.
  * Contributors: David Crawley, Rohan Agrawal

 -- Jim Vaughan <jimv@mrjim.com>  Wed, 12 Sep 2018 07:00:00 -0000

ros-kinetic-fiducial-slam (0.8.4-1xenial) xenial; urgency=high

  * Don't publish pose if camera position is not known
  * Update README.md
  * Contributors: Jim Vaughan, Rohan Agrawal

 -- Jim Vaughan <jimv@mrjim.com>  Sun, 26 Aug 2018 07:00:00 -0000

ros-kinetic-fiducial-slam (0.8.3-1xenial) xenial; urgency=high

  * Keep publishing map -> odom tf even if not fiducials are visible (#103 <https://github.com/UbiquityRobotics/fiducials/issues/103>)
  * Contributors: Jim Vaughan

 -- Jim Vaughan <jimv@mrjim.com>  Mon, 26 Feb 2018 08:00:00 -0000

ros-kinetic-fiducial-slam (0.8.2-1xenial) xenial; urgency=high

  * Add service call to clear the map
  * Contributors: Jim Vaughan

 -- Jim Vaughan <jimv@mrjim.com>  Wed, 14 Feb 2018 08:00:00 -0000

ros-kinetic-fiducial-slam (0.8.1-1xenial) xenial; urgency=high

  * Contributors: Rohan Agrawal, nav-go

 -- Jim Vaughan <jimv@mrjim.com>  Sun, 21 Jan 2018 08:00:00 -0000

ros-kinetic-fiducial-slam (0.8.0-1xenial) xenial; urgency=high



 -- Jim Vaughan <jimv@mrjim.com>  Sun, 14 Jan 2018 08:00:00 -0000

ros-kinetic-fiducial-slam (0.7.5-1xenial) xenial; urgency=high



 -- Jim Vaughan <jimv@mrjim.com>  Wed, 06 Dec 2017 08:00:00 -0000

ros-kinetic-fiducial-slam (0.7.4-1xenial) xenial; urgency=high

  * Fix typos
  * Log full 6DOF pose for ALL and MUL
  * Pass previous rvec and tvec to solvePnP()
  * Added (multi) pose estimation to fiducial_slam (disabled by default)
  * Contributors: Jim Vaughan

 -- Jim Vaughan <jimv@mrjim.com>  Thu, 09 Nov 2017 08:00:00 -0000

ros-kinetic-fiducial-slam (0.7.3-1xenial) xenial; urgency=high

  * Install launch files and fiducials.rviz
  * add test of auto init
  * Print out 6DOF camera pose
  * Fix multiplication order bug in autoInit()
  * Renamed some variables to be more clear
  * Add publish_6dof_pose param to disable squashing of estimated robot pose
  * Contributors: Jim Vaughan

 -- Jim Vaughan <jimv@mrjim.com>  Sun, 16 Jul 2017 07:00:00 -0000

ros-kinetic-fiducial-slam (0.7.2-1xenial) xenial; urgency=high

  * Using std::isnan() to stop Debian Jessie build errors
  * Contributors: Jim Vaughan

 -- Jim Vaughan <jimv@mrjim.com>  Wed, 24 May 2017 07:00:00 -0000

ros-kinetic-fiducial-slam (0.7.1-1xenial) xenial; urgency=high



 -- Jim Vaughan <jimv@mrjim.com>  Mon, 22 May 2017 07:00:00 -0000

ros-kinetic-fiducial-slam (0.7.0-1xenial) xenial; urgency=high

  * Fix dependencies
  * Make sure that the variance sent to rviz doesn't truncate to 0
  * Rewrite the code in C++, kill the python
  * Fiducial transforms are always camera->fiducial
  * Moved all service and message definitions to fiducial_msgs
  * Contributors: Jim Vaughan, Rohan Agrawal

 -- Jim Vaughan <jimv@mrjim.com>  Sun, 21 May 2017 07:00:00 -0000

ros-kinetic-fiducial-slam (0.6.1-1xenial) xenial; urgency=high



 -- Jim Vaughan <jimv@mrjim.com>  Mon, 06 Feb 2017 08:00:00 -0000

ros-kinetic-fiducial-slam (0.6.0-1xenial) xenial; urgency=high

  * Split Python into separate files
  * Ddded median filter option
  * Better exception/handling
  * Contributors: Jim Vaughan, Rohan Agrawal


